glibc 2.1.3 and LFS

Ulrich Fahrenberg uli at math.auc.dk
Fri Oct 25 04:51:39 PDT 2002


On Fri, 25 Oct 2002, Andre Jochems wrote:

> Hi,
> Since i got no answer to my prior question i try refrasing it,

1. Please break your lines at 72 characters.

2. The disclaimer at the end of your mail is too long and very
annoying. If your employer requires you to send it like this, a)
complain to your employer and b) separate it from the main text by a
signature separator -- . (Notice the whitespace.)

3. This question goes /beyond/ the basic LFS stuff which is discussed
on this list. You might get better responses on blfs-support.

4. Let me try to be constructive also:

> Is there a way of replacing the glibc 2.2.5 from LFS 3.3 by 2.1.3
> or am i breaking things then.

Yes, this is likely to render your system /useless/.

> Should i switch entirely to version 2.4? Is it as stable as LFS
> 3.3 or does it have a lot of problems.

Don't know, but there is another possible way out: The Glibc2-HOWTO
(came with my SuSE 6.4 but should also be available on LDP) has a
whole chapter about ``Installing Glibc2 as a test library'', i.e.
without /replacing/ the already installed glibc. So I suggest you
install glibc-2.1.3 as a ``test library'' (i.e. in a non-standard
place), and you see if your application will link against it.

uli

-- 
Ulrich Fahrenberg -- http://www.math.auc.dk/~uli

-- 
Unsubscribe: send email to listar at linuxfromscratch.org
and put 'unsubscribe lfs-support' in the subject header of the message



More information about the lfs-support mailing list